package org.hso.texturesyncclient.model

import org.hso.texturesyncclient.controller.RootController
import tornadofx.Controller

class GUIModelController: Controller() {

    private val rootc = find(RootController::class)

    fun export(data: Texture) {
        rootc.exportTexture(data)
    }

    fun delete(data: Texture) {
        rootc.deleteTexture(data)
    }

    fun previewSelectedAction(data: Texture) {
        rootc.showDetail(data)
    }
}